org.apache.maven

## Interface Maven

All Known Implementing Classes:
  DefaultMaven

    public interface Maven

Version:
  $Id: Maven.java 495147 2007-01-11 07:47:53Z jvanzyl $
Author:
  Jason van Zyl

### Field Summary

Fields
`static java.lang.String` `POMv4`
`static java.lang.String` `RELEASE_POMv4`
`static java.lang.String` `ROLE`

### Method Summary

Methods
`void` `execute(MavenExecutionRequest request)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

#### POMv4

    static final java.lang.String POMv4

See Also:
  Constant Field Values

#### RELEASE_POMv4

    static final java.lang.String RELEASE_POMv4

See Also:
  Constant Field Values

### Method Detail

#### execute

    void execute(MavenExecutionRequest request)
                 throws MavenExecutionException

Throws:
  `MavenExecutionException`